Bug 860584 - Incorrect video wake up with Nvidia G72M (Geforce Go 7300) and nouveau after suspend [NEEDINFO]
Incorrect video wake up with Nvidia G72M (Geforce Go 7300) and nouveau after ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 04:56 EDT by Jacobo Cabaleiro
Modified: 2014-09-13 14:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 12:32:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mholec: needinfo? (obmun.h)


Attachments (Terms of Use)
dmesg.out for suspend cycle with drm.debug=14 (337.03 KB, text/plain)
2012-09-26 04:57 EDT, Jacobo Cabaleiro
no flags Details

  None (edit)
Description Jacobo Cabaleiro 2012-09-26 04:56:46 EDT
Description of problem:
System does not correctly restore video state after waking from suspend. At least backlight is kept off.

Hardware profile can be checked here:
http://www.smolts.org/client/show/pub_9d7fe254-01da-40af-ab77-93ed9260d8a4

System usually is not fully hanged, as I can blindly enter commands, remotely ssh into the PC, etc. If I suspend with X running, sometimes I get a hard hang when coming back from suspend (no caps lock, no network, ...). If I use pm-suspend from a terminal without having loaded X (runlevel 3), the system _never_ hard locks.

Tested with nouveau 2012/09/25 TestDay LiveCD.

Attached dmesg with enlarged log buffer and drm.debug=14, but there are no errors logged.
Comment 1 Jacobo Cabaleiro 2012-09-26 04:57:57 EDT
Created attachment 617463 [details]
dmesg.out for suspend cycle with drm.debug=14
Comment 2 Jacobo Cabaleiro 2012-09-26 05:01:20 EDT
Kernel: 3.6.0-0.rc7.git0.1.fc18.x86_64 SMP
Nouveau: xorg-x11-drv-nouveau-1.0.1-6.fc18.x86_64
Comment 3 Nicolas LECOINTE 2012-10-02 03:53:56 EDT
I found exactly the same problem after an upgrade from F16 to F17.
F17 uses vmlinuz-3.5.4-2.fc17.x86_64.

I simply install the 1st F17 released kernel 3.3.4-5.fc17.x86_64 and waking from suspend now works perfectly.
I didn't test kernels between those two versions.

My hardware profile can be seen here :
http://www.smolts.org/client/show/pub_de3e8bae-f1d8-4c6b-b1ac-2d894a00a2d4
Comment 4 Martin 2013-06-11 12:34:17 EDT
Jacobo and Nicolas, are you able to reproduce it on latest Fedora 18 or 19?
Comment 5 Nicolas LECOINTE 2013-06-26 03:36:43 EDT
I'm still using Fedora 17. However, my Nvidia card is dead and I replaced it with ATI 5450. I'm still using nouveau.
Waking from suspend works fine now.

Here is my profile :
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.x86_64
linux : 3.8.13-100.fc17.x86_64
Comment 6 Martin 2013-06-27 05:04:01 EDT
Nicolas, if you switched to ATi, you use radeon driver now, not nouveau. Nouveau is just installed. You can check what driver you use by running following command: lsmod

It's on you Jacobo, can you reproduce this bug now?
Comment 7 javiertury 2013-11-15 08:12:05 EST
Also affects Fedora 19

Using 2 graphic cards, integrated Intel HD 3000 and geforce GT 630m.

Hibernate works right but waking up from suspend to ram hangs the system, black screen and no backlight

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 630M] (rev a1)

$ lsmod | egrep "i915|nouveau"
nouveau               943445  1 
ttm                    79865  1 nouveau
i915                  656126  4 
i2c_algo_bit           13257  2 i915,nouveau
drm_kms_helper         50239  2 i915,nouveau
drm                   278576  8 ttm,i915,drm_kms_helper,nouveau
i2c_core               34242  7 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit,nouveau,videodev
mxm_wmi                12865  1 nouveau
video                  19104  3 i915,acer_wmi,nouveau
wmi                    18697  3 acer_wmi,mxm_wmi,nouveau

Packages installed:
kernel-3.11.7-200.fc19.x86_64
xorg-x11-drv-nouveau-1.0.9-1.fc19.x86_64
xorg-x11-drv-intel-2.21.12-2.fc19.x86_64
Comment 8 Fedora End Of Life 2013-12-21 03:57:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.